<?php

// dołączenie plików funkcji tej aplikacji
require_once('funkcje_ksiazka_kz.php');
session_start();


if (($_POST['nazwa_uz']) && ($_POST['haslo'])) {
// właśnie nastąpiła próba logowania

    $nazwa_uz = $_POST['nazwa_uz'];
    $haslo = $_POST['haslo'];

    if (loguj($nazwa_uz, $haslo)) {
      // jeżeli w bazie danych, zgłoszenie identyfikatora użytkownika
      $_SESSION['uzyt_admin'] = $nazwa_uz;
    } else {
      // niepomyślne logowanie
      tworz_naglowek_html("Problem:");
      echo "<p>Zalogowanie niemożliwe.<br />Należy być zalogowanym, aby przeglądać tę stronę.</p>";
      tworz_html_url('logowanie.php', 'Logowanie');
      tworz_stopke_html();
      exit;
    }
}

tworz_naglowek_html('Administracja');
if (sprawdz_uzyt_admin()) {
  wyswietl_menu_admin();
} else {
  echo "<p>Brak autoryzacji do wejścia na obszar administracyjny.</p>";
}

tworz_stopke_html();

?>